| Haskell Hierarchical Libraries (base package) | Contents | Index

Control.Monad.Fix

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
The Fix monad. Inspired by the paper Functional Programming with Overloading and Higher-Order Polymorphism, Mark P Jones (http://www.cse.ogi.edu/~mpj/) Advanced School of Functional Programming, 1995.
Documentation
class Monad m => MonadFix m where

Methods

mfix :: (a -> m a) -> m a

Instances

Error e => MonadFix (Either e)
(MonadFix m, Error e) => MonadFix (ErrorT e m)
MonadFix Maybe
MonadFix []
MonadFix IO
MonadFix Identity
Monoid w => MonadFix (RWS r w s)
(Monoid w, MonadFix m) => MonadFix (RWST r w s m)
MonadFix ((->) r)
MonadFix (Reader r)
MonadFix m => MonadFix (ReaderT r m)
MonadFix (ST s)
MonadFix (ST s)
MonadFix (State s)
MonadFix m => MonadFix (StateT s m)
Monoid w => MonadFix (Writer w)
(Monoid w, MonadFix m) => MonadFix (WriterT w m)

fix :: (a -> a) -> a
Produced by Haddock version 0.6